Skip to main content
POST
/
channels
/
{myshopifyDomain}
/
custom-field-definitions
Create Channel Custom Field Definition
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/channels/{myshopifyDomain}/custom-field-definitions \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "ownerType": "collab",
  "name": "Hero Header",
  "description": "Top hero heading for creator storefront",
  "handle": "hero-header",
  "type": "single_line_text_field",
  "isEditable": true,
  "isCreatorEditable": true
}
'
{
  "customFieldDefinition": {
    "_id": "67f8c4da35d6e293b9c2a111",
    "ownerType": "collab",
    "name": "Hero Header",
    "description": "Top hero heading for creator storefront",
    "handle": "cc-hero-header",
    "type": "single_line_text_field",
    "isEditable": true,
    "isCreatorEditable": true,
    "isDeleted": false
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

myshopifyDomain
string
required

Body

application/json
ownerType
enum<string>
required
Available options:
creator,
campaign,
collab,
collabTier,
advert,
product,
drop,
enhancement
name
string
required
handle
string
required

Handle is auto-normalized with cc- prefix.

type
string
required
description
string
isEditable
boolean
isCreatorEditable
boolean
isDeleted
boolean

Response

Custom field definition created

customFieldDefinition
object
required